[
{
    blockid=expire;
    help=store_expire_expire;
    custom=com.netscape.management.msgserv.StoreExpireControl;
    localvar={
	/* translate this block */
	.header.text="Richtlinie f\u00fcr das automatische Entfernen von Nachrichten (Ablauf & Bereinigung)";
	.rules.text="Ablaufregeln";
	.col0.header="Exklusiv";
	.col1.header="Name";
	.col2.header="Ziel";
	.col3.header="Ordnergr\u00f6\u00dfe";
	.col4.header="Z\u00e4hlung";
	.col5.header="Alter";
	.col6.header="Nachr.gr\u00f6\u00dfe";
	.col7.header="Kulanzzeitraum";
	.col8.header="Gesehen";
	.col9.header="Gel\u00f6scht";
	.rule.help="Ablaufregeln f\u00fcr die Nachrichtenspeicherung";
	.save.error="Einstellungen f\u00fcr die Ablaufregeln konnten nicht gespeichert werden";
	
        .sched.title="Plan f\u00fcr Ablauf/Bereinigung";
        .sched.expire.text="Ablaufaufgabe ausf\u00fchren ";
        .sched.purge.text="Bereinigungsaufgabe ausf\u00fchren (standardm\u00e4\u00dfig nach Ende des Ablaufs) ";
        .sched.month=["Jeden","1","2","3","4","5","6","7","8","9","10","11","12"];
        .sched.monthlabel="Monat des Jahres";
        .sched.dofmth=["Jeden","1","2","3","4","5","6","7","8","9","10","11","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"];
        .sched.dofwk=["Jeden","0","1","2","3","4","5","6"];
        .sched.dofmthlabel="Tag des Monats";
        .sched.dofwklabel="Tag der Woche";
        .sched.hour=["Jeden","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23"];
        .sched.min =["Jeden","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59"];
        .sched.hourlabel="Stunde der Woche";
        .sched.minlabel="Minute der Stunde";	
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=rulelabel;
		    text=$.rule.help;
		},
		{
		    ctrl=table;
		    id=ruletable;
		    label=rulelabel;
		    showedit=true;
  		    addtext=$g.addbutton.text;
	            edittext=$g.editbutton.text;
		    deltext=$g.deletebutton.text;
		    columns=[
			{
			    header=$.col0.header;
			    renderer=boolean;
			    editor=boolean;
			    width=30;
			},
			{
			    header=$.col1.header;
			    width=70;
			},
			{
			    header=$.col2.header;
			    width=90;
			},
			{
			    header=$.col3.header;
			    width=80;
			},
			{
			    header=$.col4.header;
			    width=50;
			},
			{
			    header=$.col5.header;
			    width=30;
			},
			{
			    header=$.col6.header;
			    width=50;
			},
			{
			    header=$.col7.header;
			    width=30;
			},
			{
			    header=$.col8.header;
			    width=30;
			},
			{
			    header=$.col9.header;
			    width=30;
			}			
		    ];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$.sched.title;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{ /** expire/purge schedule pane **/
		    ctrl=pane;
		    layout=[ybox];
		    border=$.sched.border;
		    content=[
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=expirelabel;
			    		text=$.sched.expire.text;
			    		wrap=$g.label.size1;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=expiremonth;
					val="*";
			    		label=expirelabel;			    	
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=expiredofmth;
			    		val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiredofwk;
			    		val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expirehour;
			    		val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiremin;
			    		val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=separator;
			},
			{
			    ctrl=vstrut;
			},
			/* purge schedule */
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=purgelabel;
			    		text=$.sched.purge.text;
			    		wrap=$g.label.size5;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=purgemonth;
			    		val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=purgedofmth;
			    		val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgedofwk;
			    		val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgehour;
			    		val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgemin;
			    		val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			}																			
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editrule;
    help=store_expire_editrule;
    localvar={
	/* translate this block */
	.name.text="Name:";
	.target.text="Auf Ordner anwenden, die mit dem folgenden Muster \u00fcbereinstimmen:";
	.folder.title="Einschr\u00e4nkung f\u00fcr Ordnergr\u00f6\u00dfe";
	.sizelimit.text="Die \u00e4ltesten Nachrichten entfernen, bis die folgenden Bedingungen zutreffen.";
	.num.text="Anzahl der Nachrichten:";
	.msgage.text="Einschr\u00e4nkung des Nachrichtenalters";
	.agelimit.text="Nachrichten entfernen, die sich l\u00e4nger als die angegebene Anzahl an Tagen im Ordner befinden.";
	.msgsize.title="Einschr\u00e4nkung der Nachrichtengr\u00f6\u00dfe";
	.msizelimit.text="Nachrichten entfernen, die die angegebene Gr\u00f6\u00dfe \u00fcberschreiten und die \u00fcber den Kulanzzeitraum hinaus im Ordner verbleiben.";
	.days.text="Anzahl an Tagen:";
	.days.labels=["Tag(e)"];
	.exclusive.help="Diese als exklusive Regel f\u00fcr die Ordner festlegen, die mit dem oben angegebenen Muster \u00fcbereinstimmen.";
	.exclusive.text="Exklusiv";

	.size.text="Ordnergr\u00f6\u00dfe:";
	.size.labels=["KB","MB"];
	.msgsize.text="Einschr\u00e4nkung der Nachrichtengr\u00f6\u00dfe:";
	.msgsize.labels=["KB","MB"];
	.sizeday.labels=["Tag(e)"];
	.sizeday.text="Kulanzzeitraum:";
        .purge.labels=["Stunde(n)"];
	.purge.text="Bereinigungszeit:";

        .msgflags.title="Einschr\u00e4nkung f\u00fcr Nachrichten-Flags";
        .msgflags.text="Nachrichten basierend auf den Werten der folgenden Flags entfernen.";
        .msgflags.seen.text="Gesehen:";
        .msgflags.deleted.text="Gel\u00f6scht:";
        .msgflags.vals=["und","oder"];
        .msgflags.labels=["und beliebige Einschr\u00e4nkgungen","oder beliebige Einschr\u00e4nkungen"];
        
        .usrheader.title="Header-Einschr\u00e4nkung";
        .usrheader.text="Geben Sie benutzerdefninerte Header-Werte ein, die durch Kommata getrennt sind.";
        
        
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size0;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=targetlabel;
		    text=$.target.text;
		    wrap=$g.label.size4;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=text;
		    label=targetlabel;
		    val=$Folderpattern;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    text=$.exclusive.text;
		    val=$Exclusive;
		    content=[
			{
			    ctrl=label;
			    text=$.exclusive.help;
			    wrap=$g.label.size5;
			    candisable=false;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.folder.title;
		    val=$.folder.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.sizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=numlabel;
				    text=$.num.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=numlabel;
				    val=$Messagecount;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizelabel;
				    text=$.size.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizelabel;
				    val=$Foldersizebytes;
				    items=[kb,mb];
				    labels=$.size.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgage.text;
		    val=$.msgage.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.agelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=dayslabel;
				    text=$.days.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=dayslabel;
				    val=$Messagedays;
				    labels=$.days.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgsize.title;
		    val=$.msgsize.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.msizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=msgsizelabel;
				    text=$.msgsize.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=msgsizelabel;
				    val=$Messagesize;
				    items=[kb,mb];
				    labels=$.msgsize.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizedaylabel;
				    text=$.sizeday.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizedaylabel;
				    val=$Messagesizedays;
				    labels=$.sizeday.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}

		    ]
		},
                { /** message flags pane **/
                    ctrl=togglepane;
                    layout=[ybox];
                    text=$.msgflags.title;
                    val=$.msgflags.flag;
                    content=[
                        {
                            ctrl=label;
                            text=$.msgflags.text;
                            wrap=$g.label.size5;
                        },
                        {
                            ctrl=vstrut;
                        },
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=seenlabel;
				    text=$.msgflags.seen.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=seenlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    
				    val=$Seen;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=deletedlabel;
				    text=$.msgflags.deleted.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=deletedlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    val=$Deleted;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}			
                        
  		    ]
		},
		{ /** user-defined constraint pane **/
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.usrheader.title;
		    val=$.usrheader.flag;
		    content=[
		 	{			
			    ctrl=label;
			    id=usrheaderlabel;
			    text=$.usrheader.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=text;
			    label=usrheaderlabel;
			    val=$Usrheader;
			},   
			{
			    ctrl=hglue;
			}		    

		    ]
		},

		{
		    ctrl=vstrut;
		}
	    ]
	}
    ]
}
]
